Bug 179239 - Sudden segfault for elmo
Sudden segfault for elmo
Product: Fedora
Classification: Fedora
Component: elmo (Show other bugs)
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Aurelien Bompard
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2006-01-28 15:57 EST by Piergiorgio Sartor
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-02-13 10:51:24 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Piergiorgio Sartor 2006-01-28 15:57:54 EST
Description of problem:
Immediate "Segmentation fault" of "elmo", once started from command line.

Version-Release number of selected component (if applicable):

How reproducible:
Well, on my machine it crashes always when launched.

Steps to Reproduce:
1. start elmo from console
Actual results:
Segmentation fault

Expected results:
The program should run, somehow, I guess

Additional info:
a gdb elmo backtracing produced the following:

Program received signal SIGSEGV, Segmentation fault.
0x08052662 in ?? ()
(gdb) bt
#0  0x08052662 in ?? ()
#1  0x08071a79 in ?? ()
#2  0x0804ade9 in ?? ()
#3  0x462c1d5f in __libc_start_main () from /lib/libc.so.6
#4  0x0804aac1 in ?? ()

glibc is 2.3.5-10.3 for i686 architecture, running on a Pentium III-S 1.4GHz.

It might be a glibc issue or some missing item which is not reported in
the dependencies.
elmo was installed using yum, so everything should have worked correctly.
The console is a gnome terminal, running under metacity (it should not
matter anyway, I hope).
Comment 1 Michael Schwendt 2006-01-29 07:49:13 EST
For the stack trace you're missing the elmo-debuginfo package from the
"debug" repository:

#0  0x08052662 in htable_insert (table=0x1, key=0x807cd2d "addressbook", 
    content=0x1) at hash.c:201
#1  0x08071a79 in confhold_register (name=0x807cd2d "addressbook", 
    fieldcount=0) at confhold.c:231
#2  0x0804ade9 in main (argc=1, argv=0xbfa01db4) at elmo.c:199
#3  0x008c9d5f in __libc_start_main () from /lib/libc.so.6
#4  0x0804aac1 in _start ()
Comment 2 Michael Schwendt 2006-01-29 07:53:34 EST
The program has pretty bad bugs. In ask.c in ask_select_default(..)
lines 142 and 143 it writes into an array using a negative index:

    if (result->cd == -1){
        confhold_close (result->cd);

Look what is done when cd is -1:

  confhold_close (int cd)
          conf_table[cd].unused = 1;

This overwrites the pointer to a variable_table, causing this
crash. If patched, elmo starts fine, but crashes elsewhere due to
similar malfunctioning code.
Comment 3 Piergiorgio Sartor 2006-01-30 16:25:07 EST
Never mind, I just uninstalled elmo.
Comment 4 Aurelien Bompard 2006-02-13 10:51:24 EST
The elmo project is dead. I'll ask to remove elmo from the repository
Comment 5 Ville Skyttä 2006-02-17 01:36:51 EST
Should it also be marked as orphaned?  Not removed yet.
Comment 6 Aurelien Bompard 2006-02-22 12:18:04 EST
Orphaned now.

Note You need to log in before you can comment on or make changes to this bug.